### Persefone.jl - a model of agricultural landscapes and ecosystems in Europe.
###
### This file holds the code for the Eurasian Skylark (Alauda arvensis).
###

"""
    Skylark

*Alauda arvensis* is a common and charismatic species of agricultural landscapes.
At the moment, this implementation is still in development.

**Sources:**
    - Bauer, H.-G., Bezzel, E., & Fiedler, W. (Eds.). (2012).
    Das Kompendium der Vögel Mitteleuropas: Ein umfassendes
    Handbuch zu Biologie, Gefährdung und Schutz (Einbändige
    Sonderausg. der 2., vollständig überarb. und erw. Aufl. 2005).
    AULA-Verlag
"""
@species Skylark begin
    
    eggmaturationtime = 
    
    eggharvestmortality = 0.9 #???
    eggpredationmortality = 0.1 #???

    habitats = @habitat((@landcover() == grass || 
                         (@landcover() == agriculture && @croptype() != maize)) &&
                        @distanceto(forest) > 5)
    
    @initialise(habitats, pairs=true)
    
    @phase egg begin
        @kill(@trait(eggpredationmortality), "predation")
        @respond harvest @kill(@trait(eggharvestmortality), "harvest")

        #TODO dies if parents die (due to starvation?)

        if @trait(age) == 14
            @setphase(nestling)
        end
    end

    @phase nestling begin
        #TODO
    end

    @phase breeding begin
        #TODO
    end

    @phase nonbreeding begin
        #TODO
    end

    @phase migration begin
        #TODO
    end

    @phase mating begin
        #TODO
    end
end
